// 
// /etc/named.conf
//

acl "trusted" {
  10.20.0.0/24;
  localhost;
  localnets;
};

options {
  directory "/var/named";
  pid-file "/run/named/named.pid";
  auth-nxdomain yes;
  datasize default;
  // Uncomment these to enable IPv6 connections support
  // IPv4 will still work:
  listen-on-v6 { any; };

  // Default security settings.
  allow-recursion { trusted; };
  allow-query { trusted; };
  forwarders { 8.8.8.8; 8.8.4.4; };
  allow-transfer { none; };
  allow-update { none; };
  version none;
  hostname none;
  server-id none;
};

zone "localhost" IN {
  type master;
  file "localhost.zone";
  allow-transfer { any; };
};

zone "0.0.127.in-addr.arpa" IN {
  type master;
  file "127.0.0.zone";
  allow-transfer { any; };
};

zone "0.20.10.in-addr.arpa" IN {
  type master;
  file "0.20.10.in-addr.arpa";
  allow-update { none; };
};

zone "zotac" IN {
  type master;
  file "zotac.zone";
};

zone "." IN {
  type hint;
  file "root.hint";
};

logging {
  channel xfer-log {
    file "/var/log/named.log";
    print-category yes;
    print-severity yes;
    print-time yes;
    severity info;
  };
  category xfer-in { xfer-log; };
  category xfer-out { xfer-log; };
  category notify { xfer-log; };
};
